Bug 14059 - Backport sambadowngradedatabase for v4.11
Backport sambadowngradedatabase for v4.11
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.11.0rc1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-30 04:58 UTC by Tim Beale
Modified: 2019-08-27 10:20 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.11 (25.83 KB, patch)
2019-08-20 05:15 UTC, Garming Sam
timbeale: review+
garming: review-
Details
patch with new ldb version number for 4.11.0 (49.30 KB, patch)
2019-08-23 00:11 UTC, Andrew Bartlett
garming: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Beale 2019-07-30 04:58:12 UTC
The Samba AD database has changed format in 4.11. However, this means that once a user upgrades to 4.11, they won't be able to downgrade to an older release.

To downgrade, the user needs to manually downgrade their database to an earlier format. However, there's no tool to do this in v4.11. However, there is such a tool in master, but it needs to be backported.
Comment 1 Aaron Haslett 2019-07-31 03:02:00 UTC
The tool is already in 4.11, only the installation, man page and rename needs to be backported.
Comment 2 Garming Sam 2019-08-20 05:15:47 UTC
Created attachment 15401 [details]
Patch for 4.11
Comment 3 Garming Sam 2019-08-20 22:27:40 UTC
This patchset needs an LDB version bump (as well as master).
Comment 4 Garming Sam 2019-08-20 22:46:04 UTC
(In reply to Garming Sam from comment #3)

Master should be made 2.1.0 I believe.
Comment 5 Andrew Bartlett 2019-08-21 05:39:23 UTC
(In reply to Garming Sam from comment #4)

Master is already at ldb 2.1.0 so that doesn't need any more work.
Comment 6 Andrew Bartlett 2019-08-23 00:11:23 UTC
Created attachment 15418 [details]
patch with new ldb version number for 4.11.0

This includes the new LDB version number to avoid issues at the final release.
Comment 7 Garming Sam 2019-08-23 00:29:50 UTC
Assigning to Karolin for inclusion into 4.11.

We need to make sure this is included for the final release because otherwise the AD downgrade path becomes very cumbersome.
Comment 8 Karolin Seeger 2019-08-23 08:47:07 UTC
(In reply to Garming Sam from comment #7)
Pushed to autobuild-v4-11-test.
Comment 9 Karolin Seeger 2019-08-27 10:20:14 UTC
(In reply to Karolin Seeger from comment #8)
Pushed to v4-11-test.
Closing out bug report.

Thanks!